<script setup lang="ts">
import { type AuthKickstartLoginData, OidcProvider } from "@/client";
import { environment } from "@/environment.ts";
import { client } from "@/client/client.gen.ts";

const props = defineProps<{
  returnPath?: string;
  invitationToken?: string;
  showAccountCreationHint?: boolean;
}>();

function loginPath(provider: OidcProvider): string {
  const config: AuthKickstartLoginData = {
    url: "/auth/login/{provider}",
    path: {
      provider: provider,
    },
    query: {
      next:
        props.returnPath != undefined ? encodeURI(props.returnPath) : undefined,
      invitation_token:
        props.invitationToken != undefined ? props.invitationToken : undefined,
    },
  };
  return (
    environment.API_BASE_URL + client.buildUrl<AuthKickstartLoginData>(config)
  );
}
</script>

<template>
  <div class="my-2 text-center">
    <div class="fs-5">LifeScience Login</div>
    <a :href="loginPath(OidcProvider.LIFESCIENCE_AAI)">
      <img
        src="/src/assets/images/ls-login.png"
        alt="[LS Login]"
        class="img-fluid"
        style="max-height: 90px"
      />
    </a>
  </div>
  <div class="my-2 mt-4 text-center">
    <div class="fs-5">NFDI AAI</div>
    <a :href="loginPath(OidcProvider.NFDI_AAI)">
      <img
        src="/src/assets/images/nfdi-aai.png"
        alt="[NFDi AAI]"
        class="img-fluid"
        style="max-height: 90px"
      />
    </a>
  </div>
  <div
    v-if="showAccountCreationHint && invitationToken == undefined"
    class="mt-2"
  >
    Don't have an account?
    <router-link :to="{ name: 'signup', query: { next: props.returnPath } }">
      Create an account
    </router-link>
    .
  </div>
  <div class="mt-2">
    By using this service you agree to our
    <router-link :to="{ name: 'terms' }"> terms of usage</router-link>
    and
    <router-link :to="{ name: 'privacy' }"> privacy policy</router-link>
    .
  </div>
</template>

<style scoped></style>
